org.eclipse.gef.mvc.fx.parts

## Interface IFeedbackPartFactory

All Known Implementing Classes:
  DefaultFocusFeedbackPartFactory, DefaultHoverFeedbackPartFactory, DefaultSelectionFeedbackPartFactory, DefaultSnappingFeedbackPartFactory

    public interface IFeedbackPartFactory

The `IFeedbackPartFactory` interface specifies a factory method for the creation of `IFeedbackPart`s for a given list of target `IVisualPart`s, a context `IBehavior`, and a context `Map`.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<IFeedbackPart<? extends Node>>` `createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)` Creates specific `IFeedbackPart`s for the given targets.

### Method Detail

#### createFeedbackParts

    List<IFeedbackPart<? extends Node>> createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets,
                                                            Map<Object,Object> contextMap)

Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.